Package twisted :: Package lore :: Module docbook :: Class DocbookSpitter |
[frames | no frames]

## Class DocbookSpitter

    BaseLatexSpitter --+
                       |
                      DocbookSpitter

Method Summary
| `visitNode_a_href(self, node)`
| `visitNode_a_listing(self, node)`
| `visitNode_a_name(self, node)`
| `visitNode_body(self, node)`
| `visitNode_h2(self, node)`
| `visitNode_h3(self, node)`
| `visitNode_h4(self, node)`
| `visitNode_li(self, node)`
| `visitNodeHeader(self, node)`
| `writeNodeData(self, node)`
Inherited from BaseLatexSpitter
| ``__init__`(self, writer, currDir, filename)`
| ``visitNode`(self, node)`
| ``visitNode_a`(self, node)`
| ``visitNode_div`(self, node)`
| ``visitNode_h1`(self, node)`
| ``visitNode_span`(self, node)`
| ``visitNode_style`(self, node)`
| ``visitNodeDefault`(self, node)`

Class Variable Summary
`int` | `currentLevel` = 1
`str` | `end_dd` = `'</para></listitem></varlistentry>'`
`str` | `end_div_note` = `'</note>'`
`str` | `end_dl` = `'</variablelist>'`
`str` | `end_dt` = `'</term>'`
`str` | `end_em` = `'</emphasis>'`
`str` | `end_h2` = `'</title><para />'`
`str` | `end_h3` = `'</title><para />'`
`str` | `end_h4` = `'</title><para />'`
`str` | `end_li` = `'</listitem>'`
`str` | `end_ol` = `'</orderedlist>'`
`str` | `end_p` = `'</para>'`
`str` | `end_pre` = `'</programlisting>'`
`str` | `end_q` = `'"'`
`str` | `end_span_footnote` = `'</para></footnote>'`
`str` | `end_strong` = `'</emphasis>'`
`str` | `end_title` = `'</title><para />'`
`str` | `end_ul` = `'</itemizedlist>'`
`str` | `start_dd` = `'<listitem><para>'`
`str` | `start_div_note` = `'<note>'`
`str` | `start_dl` = `'<variablelist>'`
`str` | `start_dt` = `'<varlistentry><term>'`
`str` | `start_em` = `'<emphasis>'`
`str` | `start_li` = `'<listitem>'`
`str` | `start_ol` = `'<orderedlist>'`
`str` | `start_p` = `'<para>'`
`str` | `start_pre` = `'<programlisting>'`
`str` | `start_q` = `'"'`
`str` | `start_span_footnote` = `'<footnote><para>'`
`str` | `start_strong` = `'<emphasis>'`
`str` | `start_title` = `'<section><title>'`
`str` | `start_ul` = `'<itemizedlist>'`

Class Variable Details

    ### currentLevel Type: `int` Value:
        1

    ### end_dd Type: `str` Value:
        '</para></listitem></varlistentry>'

    ### end_div_note Type: `str` Value:
        '</note>'

    ### end_dl Type: `str` Value:
        '</variablelist>'

    ### end_dt Type: `str` Value:
        '</term>'

    ### end_em Type: `str` Value:
        '</emphasis>'

    ### end_h2 Type: `str` Value:
        '</title><para />'

    ### end_h3 Type: `str` Value:
        '</title><para />'

    ### end_h4 Type: `str` Value:
        '</title><para />'

    ### end_li Type: `str` Value:
        '</listitem>'

    ### end_ol Type: `str` Value:
        '</orderedlist>'

    ### end_p Type: `str` Value:
        '</para>'

    ### end_pre Type: `str` Value:
        '</programlisting>'

    ### end_q Type: `str` Value:
        '"'

    ### end_span_footnote Type: `str` Value:
        '</para></footnote>'

    ### end_strong Type: `str` Value:
        '</emphasis>'

    ### end_title Type: `str` Value:
        '</title><para />'

    ### end_ul Type: `str` Value:
        '</itemizedlist>'

    ### start_dd Type: `str` Value:
        '<listitem><para>'

    ### start_div_note Type: `str` Value:
        '<note>'

    ### start_dl Type: `str` Value:
        '<variablelist>'

    ### start_dt Type: `str` Value:
        '<varlistentry><term>'

    ### start_em Type: `str` Value:
        '<emphasis>'

    ### start_li Type: `str` Value:
        '<listitem>'

    ### start_ol Type: `str` Value:
        '<orderedlist>'

    ### start_p Type: `str` Value:
        '<para>'

    ### start_pre Type: `str` Value:
        '<programlisting>'

    ### start_q Type: `str` Value:
        '"'

    ### start_span_footnote Type: `str` Value:
        '<footnote><para>'

    ### start_strong Type: `str` Value:
        '<emphasis>'

    ### start_title Type: `str` Value:
        '<section><title>'

    ### start_ul Type: `str` Value:
        '<itemizedlist>'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:11 2003 | http://epydoc.sf.net